import java.awt.*; 
import java.io.*; 
import javax.servlet.*; 
import javax.servlet.http.*; 

public class ChainImageDest extends HttpServlet { 

 public void doGet(HttpServletRequest req, HttpServletResponse res) 
				                      throws ServletException, IOException { 

  // zistme prijat content type 
  String contentType = req.getContentType(); 

  Image image = null; 

  /* Ak ide o content type zanajci na "image/*" znamen to, 
  e obdrme obrzok ako prd zakdovanch bajtov. */ 
  if (contentType != null && contentType.startsWith("image")) { 
   /* Do tohto bloku meme neskr implementova funknos, 
   ktor sme si ukzali vyie v prklade ShrinkFilterServlet.java */ 
  } 
  // "java/image-key" content type znamen, e zskame k 
  else if ("java/image-key".equals(contentType)) { 
   // pretame prv riadok zskanho obsahu, m dostaneme k 
   String key = req.getReader().readLine(); 
   // zskame obrzok uloen pod danm kom 
   image = (Image)System.getProperties().get(key); 
   // obrzok uvonme z pamte 
   System.getProperties().remove(key); 
  } 
  else { 
   throw new ServletException("Content type mus by 'image/*' alebo 'java/image-key'"); 
  } 

  /* Servlet meme pre jednoduchos zakoni tmto spsobom. 
  V relnom nasaden by sme objekt Image vhodnm spsobom vyuili. */ 
  res.setContentType("text/plain"); 
  PrintWriter out = res.getWriter(); 
  out.println("Zskan obrzok je: " + image); 
 } 
}